/*===============================================================*/
/* itetris standard header file configured for Russian support.  */
/*---------------------------------------------------------------*/
/* To view Russian text in this file, you need to set the        */
/* appropriate console font with                                 */
/*          setfont   Cyr_a8x16                                  */
/*                                                               */
/* If you, unlike me, are lucky enough to have appropriate       */
/* keyboard, select keymap with                                  */
/*          loadgzkeys ru2.map                                   */
/* and use right Alt key to toggle between Russian and Latin.    */
/*                                                               */
/* Alternatively, you can grab characters from the list,         */
/* supplied below                                                */
/* YOU DO NOT NEED THE ABOVE COMMAND FOR PLAYING THE GAME.       */
/* The font will be used independently on the system font.       */
/*---------------------------------------------------------------*/
/* N.B! X fonts coming with new RedHat distribution are actually */
/* converted console fonts. Me feeling is that the convertor is  */
/* not quite right, so that fonts appear too wide. Use fonts by  */
/* Serge Vakulenko (coming with Slackware and available from a   */
/* number of sites), or you can comment out line USE_X_FONT=1 in */
/* Makefile to use consofe fonts instead. Sorry for that.        */
/*===============================================================*/
#ifdef HAVE_CONFIG_H
#include "tet_autoconf.h"
#else
#include "tet_stdconf.h"
#endif


/* Location of Pause text and Play List */
/* Default location of high scores file is now defined in Makefile */
#define PAUSE_FILE_NAME   "~/.itetris.pause"
#define BGLIST_FILE_NAME  "~/.itetris.bgl"

/* TABLE_WIDTH is the width of score table in char-s (8 pix. per char) */
#define TABLE_WIDTH   14

/* Text and background, highlighting and scroller colour numbers */
/*     See man page for vga_setegacolor.        */
#define TEXT_COLOUR    14        // Yellow
#define BKGR_COLOUR     0        // Black
#define HILITE_COLOUR  13        // Light magenta
#define SCROLL_COLOUR   2        // Green 

/* Vertical distance between rows in status table */
#define ROW_DISTANCE   3

/* CONSOLE_FONT must specify an unpacked console font */
/* If font is font found, a .gz extension will be attempted */
/* Don't forget to put '/' at the end of CONSOLE_FONT_DIR */
#define  CONSOLE_FONT_DIR   "/usr/lib/kbd/consolefonts/"
/*#define  DEFAULT_FONT  "Cyr_a8x16"         // ISO 8859-5 */
#define  DEFAULT_FONT   "koi8b-8x16"	   /* KOI-8 */
#define  DEFAULT_X_FONT  "-cronyx-fixed-bold-r-*-*-16-*-*-*-*-80-*" /* KOI-8 */

/* Default video mode. Select one of the following:
   EGA_MODE, LOW_MODE,  VGA_MODE,  SVGA_MODE.
   Use VGA_MODE if your SVGA card is not supported or badly
   supported by svgalib
*/
#define  DEFAULT_VIDEO  SVGA_MODE

/* Defines for COLOUR_NAME_FILE, COLOUR_NAME_FILE_ALT and
   DEFAUT_BG_RGB are not used in EGA mode */

/* Path to the file with colour names */
#define COLOUR_NAME_FILE  "/etc/X11/rgb.txt"
/* Alternative file - may be omitted */
#define COLOUR_NAME_FILE_ALT "/usr/lib/X11/rgb.txt"

/* Default RGB for background colour */
#define DEFAULT_BG_RGB   ""          /* Do not set */
/* #define DEFAULT_BG_RGB "03f0000"   - take 0RRGGBB colour */
/* #define DEFAULT_BG_RGB "maroon"   - look in COLOUR_NAME_FILE */

/* Default loop mode for background music */
#define DEFAULT_LOOP_MODE   1	    /* Enable loop */	

#ifdef HAVE_LINUX_JOYSTICK_H

/*
   Joystick support: 
   -------------------------------------------------------------------
   Parameter JOYSTICK SUPPORTED is set to:
   1 - include event-driven support, provided by driver version 1x. 
   0 - include only "traditional" support provided by original driver
   -------------------------------------------------------------------
   Comment out JOYSTICK_SUPPORTED to disable joystick support
*/   
#define JOYSTICK_SUPPORTED 1 


/* If JOYSTICK_SUPPORT = 1, you need the following lines to specify
   the the threshold values for joystick axes (max. 32767)
   E.g. NEW_JOYSTICK_THRESHOLD_X = 10000 means that
     X-axis position <= -10000 is interpreted as joystick left
     X-axis position >= +10000 is interpreted as joystick right
     Position between -10000 and +10000 - no shift along X axis
*/  
#define NEW_JOYSTICK_THRESHOLD_X 23000
#define NEW_JOYSTICK_THRESHOLD_Y 23000


/* Default enabled status for joystick */
#define JOY_ENABLED_DEFAULT  0

#endif

/* Uncomment this to make life easier to your computer */
/* #define SCROLLER_DISABLED  */

/* Timer ticks needed to load a backround music file (1 sec = 18.2 ticks) */
#define LOAD_DELAY 7
/* Timer ticks needed to wait after pevious player is killed */
#define KILL_DELAY 7 

/* Starting Bottom mode B_SCROLLER, B_HELP or B_NONE */
#define START_BOTTOM_DEMO       B_SCROLLER
#define START_BOTTOM_GAME       B_HELP

/* Textmode clear screen sequence (Standard ANSI should always be OK,
   so that you probably should leave it unchanged). */
#define CLEAR_SCREEN "\033[2J"

/* The 256c owl image looks ugly in 16c mode, so you better disable it
   commenting out the following line ... and reduce the size of binary  */
#define SHOW_256C_IMAGE

/* ************************** ISO 8859-5 ************************ */
/*
#define SCORE_TEXT  ":"
#define LEVEL_TEXT  "஢:"
#define LAYERS_TEXT ":"
#define BONUS_TEXT   ":"
#define NEXT_TEXT   ":"
#define JOYSTICK_TEXT "⨪:"
#define TOTAL_TEXT "⮣:"
#define TOP_HEADER "訥 १"
*/
/*
                                
                                
                                
                                
*/

/* ************************** KOI 8 ************************ */

#define SCORE_TEXT  "ޣ:"
#define LEVEL_TEXT  ":"
#define LAYERS_TEXT "ϣ:"
#define BONUS_TEXT   ":"
#define NEXT_TEXT   ":"
#define JOYSTICK_TEXT ""
#define TOTAL_TEXT ":"
#define TOP_HEADER " "
/*
                                  
                                
                                
                                
                                
                                
*/

